<?php

 
 $id_empresa = 1;

require '../Clases/Autentificacion.php';
include('../../conex.php'); 


if (!isset($_GET["documento"]))
{
  echo "<h3>No se ha enviado ninguna ruta.</h3>";  
}
else

{
 $trkID = $_GET["documento"];


	

/************** Datos Empresa ****************** seleccionar cual empresa  es el ingreso  en ssesion******/
	$sql_empresa = "SELECT * FROM empresa WHERE  id=$id_empresa;";
	
	$res_empresa = mysql_query($sql_empresa,$enlace);
	$row=0;
	
		$empresa_rut=mysql_result($res_empresa, $row, "rut_empresa");
		$empresa_rut = str_replace('.', '', $empresa_rut);
		$rut_representante=mysql_result($res_empresa, $row, "rut_representante");
	  	$rut_representante = str_replace('.', '', $rut_representante);
		$fecha_resolucion=mysql_result($res_empresa, $row, "fecha_resolucion");
		$numero_resolucion=mysql_result($res_empresa, $row, "numero_resolucion");
		$certificacion=mysql_result($res_empresa, $row, "certificacion");
		$fecha_certificacion=mysql_result($res_empresa, $row, "fecha_certificacion");
		$sitio_empresa=mysql_result($res_empresa, $row, "sitio_empresa");
        $ip_empresa=mysql_result($res_empresa, $row, "ip_empresa");
	     $clave_certificado_digital=mysql_result($res_empresa, $row, "clave_certificado_digital");
		
	
	
	
	
define("PK_PASS", $clave_certificado_digital);
define("PK_RUTA",'./'.$rut_representante.'.pfx');
define("PEM_RUTA", "./crt.pem");
define("KEY_RUTA", "./server.key");
    
    $estaAutentificacion = new Autentificacion();
    
    $estaAutentificacion->pkPass = PK_PASS;
    $estaAutentificacion->pkRuta = PK_RUTA;
    $estaAutentificacion->pemRuta = PEM_RUTA;
    $estaAutentificacion->keyRuta = KEY_RUTA;

    $estaAutentificacion->getToken(); 
    
    $token = $estaAutentificacion->token;

      $dvEmisor = substr($empresa_rut, -1); 
		
		$rutEmisor= str_replace("-".$dvEmisor,"",$empresa_rut);
 
        $cmd = "/usr/bin/python ./python/ConsultaEnvio.py '".$rutEmisor."' '".$dvEmisor."' '".$trkID."' '".$token."'";
        $Estado = shell_exec($cmd);
		//debug($Estado); //exit();
	
  //  echo "Comando: $cmd<br>\n";
  // print_r($Estado);
  
		//LOK Envio de Libro Aceptado
		 $s= "<ESTADO>";
	
	$Estados=substr($Estado, strpos($Estado, $s)+strlen($s),3);
	 echo "Estado de Consumo: $Estados<br>\n";
	 // $s= "<GLOSA>";
	$Esta=0;
	//$glosa=substr($Estado, strpos($Estado, $s)+strlen($s),15);
	if($Estados=='EPR') $Esta=1;
	if($Estados=='RCH') $Esta=2;
	$up_dcto = "UPDATE consumo_folios SET valida_sii='$Esta' WHERE trackid='$trkID'";
	//echo $up_dcto;
	 mysql_query($up_dcto,$enlace);				 
	}	
	
	
function debug($str) {
    echo "<textarea style='width: 99%; height: 99%'>".htmlentities($str)."</textarea>";	
		}

	 
        ?>
 
<script language="javascript" type="text/javascript">
   
	window.top.open('','_parent','');window.top.close();
</script>